编译Mysql时出现configure: error: No curses/termcap library found的解决办法

在CentOS和Ubuntu下均提示以下错误,有时在PHP的安装时,也会遇到类似错误,百思不得其解,网上一些高人说可能是当前的Linux发行版缺少必要模块,都会出现以下错误:

checking for tgetent in -ltermcap... no
checking for termcap functions library... configure: error: No curses/termcap library found

有的朋友建议先安装ncurses,后来发现不安装也可以,主要是错误在配置参数上。

遇到的朋友可以在配置时,加上这样一条参数:--with-named-curses-libs=/usr/lib/libncursesw.so.5

最后的参数就是:

./configure --with-named-curses-libs=/usr/lib/libncursesw.so.5

到此,问题解决。

发表评论

电子邮件地址不会被公开。